Skip to content

Get a venue

GET/v1/venues/{venueId}

GET
/v1/venues/{venueId}
curl --request GET \
--url https://api.ligr.live/rest/v1/venues/1 \
--header 'Authorization: Bearer <token>'

Return the venue with the given ID. Accepts the include query parameter with code t, one level deep.

venueId
required

Entity identifier

integer format: int32
>= 1

The venues identifier

include

Comma seperated string of entity abbreviations Allows optional population of nested entities t = teams

e.g. ‘t’

string

Ok

Media typeapplication/json
Any of:
object
id
required

Entity identifier

integer format: int32
>= 1
name
required

Default Entity name

string
>= 6 characters <= 39 characters
gfxName
required

Name predominantly display in graphics

string
nullable >= 6 characters <= 19 characters
dataProvider
object
name
required
string
Allowed values: RB OPTA_CRICKET OPTA_FOOTBALL OPTA_RUGBY_UNION STATSLLC GENIUS_BASKETBALL GENIUS_GRIDIRON GENIUS_VOLLEYBALL GENIUS_FOOTBALL GENIUS_ICE_HOCKEY PIXELLOT CLOUDMIX CHAMPION ligr-live-score MLB IMG_FOOTBALL CRIONET_TENNIS SPORT_RADAR_FOOTBALL
id
required
string
Example
{
"dataProvider": {
"name": "RB"
}
}

Request is invalid

Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{
"message": "example",
"details": {
"additionalProperty": "example"
}
}

Missing or invalid api key

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key provides insufficient access for the request

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Venue not found

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key has made too many requests

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

An unexpected error has occured. If problems persist please contact support

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}